Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.dgmimpl.arrays
[Java] Class BooleanArrayPutAtMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
                          org.codehaus.groovy.runtime.dgmimpl.arrays.BooleanArrayPutAtMetaMethod

    public class BooleanArrayPutAtMetaMethod
    extends ArrayPutAtMetaMethod

Field Summary

Fields inherited from class ArrayMetaMethod
INTEGER_CLASS, INTEGER_CLASS_ARR

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`BooleanArrayPutAtMetaMethod()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`CachedClass` | `getDeclaringClass()`
`Object` | `invoke(Object object, Object[] args)`

Methods inherited from class ArrayPutAtMetaMethod
getName, getReturnType

Methods inherited from class ArrayMetaMethod
getModifiers, normaliseIndex

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### BooleanArrayPutAtMetaMethod

    public BooleanArrayPutAtMetaMethod()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

### getDeclaringClass

    public final CachedClass getDeclaringClass()

### invoke

    public Object invoke(Object object, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.